package com.biganto.visual.roompark.base

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.di.koin.StartUpData
import org.koin.android.scope.currentScope

class RoomParkMainActivity : AppCompatActivity() {

    lateinit var entryText:TextView
    private val entryDate : StartUpData by currentScope.inject()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        entryText = findViewById(R.id.entryTextView)
        entryText.text = entryDate.helloText
    }
}
